<script setup lang="ts">
import { ref } from 'vue'

import { useUserStore } from '@/stores/user'
const loginStore = useUserStore()

const visible = ref(false)
</script>

<template>
  <div class="app-container" fluid>
    <v-container md="6" xs="3">
      <div>
        <v-card class="mx-auto pa-12 pb-8" elevation="8" max-width="448" rounded="lg">
          <div class="text-subtitle-1 text-medium-emphasis">User</div>

          <v-text-field
            v-model="loginStore.username"
            density="compact"
            placeholder="User"
            prepend-inner-icon="mdi-account"
            variant="outlined"
            :rules="[(v) => !!v || 'Field is required']"
          ></v-text-field>

          <div
            class="text-subtitle-1 text-medium-emphasis d-flex align-center justify-space-between"
          >
            Password

            <a
              class="text-caption text-decoration-none text-blue"
              href="#"
              rel="noopener noreferrer"
              target="_blank"
            ></a>
          </div>

          <v-text-field
            v-model="loginStore.password"
            :append-inner-icon="visible ? 'mdi-eye-off' : 'mdi-eye'"
            :type="visible ? 'text' : 'password'"
            density="compact"
            placeholder="Enter your password"
            prepend-inner-icon="mdi-lock-outline"
            variant="outlined"
            :rules="[(v) => !!v || 'Field is required']"
            @click:append-inner="visible = !visible"
          ></v-text-field>

          <v-card class="mb-12" color="surface-variant" variant="tonal">
            <v-card-text class="text-medium-emphasis text-caption">
              หากลืมรหัสผ่านหรือชื่อUserโปรดแจ้งผู้จัดการ.
            </v-card-text>
          </v-card>

          <v-btn
            block
            class="mb-8"
            color="browe"
            size="large"
            variant="tonal"
            @click="loginStore.login()"
            style="background-color: rgb(100, 126, 34); font-weight: bold; color: azure"
          >
            Log In
          </v-btn>
          <v-dialog v-model="loginStore.dialogFailed" max-width="500px">
            <v-card>
              <v-card-title class="text-red text-h5">Error</v-card-title>
              <v-card-text>Username or Password wrong!</v-card-text>
              <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="blue darken-1" @click="loginStore.closeDialog">OK</v-btn>
              </v-card-actions>
            </v-card>
          </v-dialog>
        </v-card>
      </div>
    </v-container>
  </div>
</template>

<style scoped>
.app-container {
  position: relative;
  height: 800px;
}

.app-container::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('/cafelogin.png') no-repeat center center fixed;
  background-size: cover;
  opacity: 0.9;
  z-index: -1;
  /* ตั้งค่า z-index เพื่อให้ pseudo-element อยู่หลัง content ภายใน .app-container */
}
</style>
